Installation & update
About program installation and update, hardware, operating systems, setup, etc.

ArchiCAD 9.0 Installation for Vista

Anonymous
Not applicable
I recently purchased a new laptop for personal use and for work when I go on the road. As with most laptops nowadays, they all come with Vista.

I have seen the following information/instructions on installing AC90 so it works with Vista:


Problem: ArchiCAD will not install correctly.

Solution: Uninstall Java. Re-install java that came with ArchiCAD 9. Perform a custom install of ArchiCAD which excludes Graphisoft Shell Extensions from both the ArchiCAD and the Plotmaker install. Remove Wibu installation that ArchiCAD 9 performs. You may have to uninstall and re-install Wibu 5.2 if you have already done this.


Since I am not a "tech" guru, is there a complete step-by-step instruction on how to do this somewhere? I do not know what "shell extensions" are or how to deal with the Wibu install.

Thanks ahead,

PB

P.S. Which versions of "out of the box" AC are now fully compatible with Vista?
3 REPLIES 3
Thomas Holm
Booster
Patsurf wrote:
Which versions of "out of the box" AC are now fully compatible with Vista?
Only AC 11. http://www.graphisoft.com/support/archicad/system_requirements/
And of course 12 will be. AC10 and previous were released long before Vista.
But I heard Microsoft offers a "downgrade" to XP if you want it.
AC4.1-AC26SWE; MacOS13.5.1; MP5,1+MBP16,1
Laszlo Nagy
Community Admin
Community Admin
Patsurf wrote:
I recently purchased a new laptop for personal use and for work when I go on the road. As with most laptops nowadays, they all come with Vista.

I have seen the following information/instructions on installing AC90 so it works with Vista:


Problem: ArchiCAD will not install correctly.

Solution: Uninstall Java. Re-install java that came with ArchiCAD 9. Perform a custom install of ArchiCAD which excludes Graphisoft Shell Extensions from both the ArchiCAD and the Plotmaker install. Remove Wibu installation that ArchiCAD 9 performs. You may have to uninstall and re-install Wibu 5.2 if you have already done this.


Since I am not a "tech" guru, is there a complete step-by-step instruction on how to do this somewhere? I do not know what "shell extensions" are or how to deal with the Wibu install.

Thanks ahead,

PB

P.S. Which versions of "out of the box" AC are now fully compatible with Vista?
I have Vista and AC9 seems to work fine on it (Vista Home Premium).
The way you exclude the Graphisoft Shell Extension is this:
the Graphisoft Shell Extension is something ArchiCAD installer installs into the Windows system. The result of it is that when you right-click e.g. on a GDL file and select Properties, the Properties Dialog will have several Tab Pages and in these Tab Pages you can view the various scripts (such as 2D Script, 3D Script) within the GDL file without having to open it for editing in ArchiCAD.
When installing ArchiCAD 9 and PlotMaker 9, you need to select the Custom Install option. In that case you will be able to select what components to install. On the page of the installer program where you need to select components to install (by default all are checked to be installed), uncheck the Graphisoft Shell Extension so it wil not be installed.
Get Archicad Tips at https://twitter.com/laszlonagy
AMD Ryzen9 5900X CPU, 32 GB RAM, Nvidia GTX 1060 6GB, 500 GB NVMe SSD
2x28" (2560x1440), WIN10 PRO ENG, Ac20-Ac27
Loving Archicad since 1995
Anonymous
Not applicable
Many thanks for an explanation. I just long time could not solve this problem and I have found the answer at this forum. Once again thanks

Still looking?

Browse more topics

Back to forum

See latest solutions

Accepted solutions

Start a new discussion!